﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DbCommon.Enties.DbModels
{
    [SugarTable("t_wh_materialDetail")]
    public class MaterialDetail
    {
        [SugarColumn(IsNullable = true)]
        public string WareHouseCode { get; set; }

        [SugarColumn(IsPrimaryKey = true)]
        public string LocationCode { get; set; }

        [SugarColumn(IsNullable = true)]
        public string MaterialName { get; set; }

        [SugarColumn(IsNullable = true)]
        public string BatchNumber { get; set; }

        [SugarColumn(ColumnName = "Attribute1", IsNullable = true)]
        public string MaterialNumber { get; set; }

        [SugarColumn(ColumnName = "Attribute2", IsNullable = true)]
        public string MaterialId { get; set; }
    }
}
