﻿using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectManagementSystem.Common.Models
{
    public class CacheDataBase
    {
        [JsonIgnore]
        public int Status { get; set; }
        [JsonIgnore]
        public DateTime LastUpdateTime { get; set; }
        [JsonIgnore]
        public bool DataValid
        {
            get { return (DateTime.Now - LastUpdateTime).TotalSeconds < 5; }
        }
    }
}
