﻿using System;

namespace ProjectManagementSystem.Common.Models.Crms
{
    public class StepData
    {
        public string ID { get; set; }
        public int StepID { get; set; } = 0;
        public int TemplateStepID { get; set; } = 0;
        public string TaskID { get; set; } = "";
        public string NextStepID { get; set; } = "";
        public bool IsLastStep { get; set; } = false;
        public bool EndingFlag { get; set; } = true;
        public ECarrierStepType CarrierStepType { get; set; } = ECarrierStepType.None;
        public ECarrierStepState CarrierStepState { get; set; } = ECarrierStepState.None;
        public ESystemStepState SystemStepState { get; set; } = ESystemStepState.None;
        public EUserStepState UserStepState { get; set; } = EUserStepState.None;
        public string WareHouseID { get; set; } = "";
        public int StationID { get; set; } = 0;
        public int VertexID { get; set; } = 0;
        public int MusicID { get; set; } = 0;
        public int AgvBehavior { get; set; } = 0;
        public int Param1 { get; set; } = 0;
        public int Param2 { get; set; } = 0;
        public int Param3 { get; set; } = 0;
        public int PmsBehavior { get; set; } = 0;
        public DateTime? CreateTime { get; set; }
        public DateTime? StartTime { get; set; }
        public DateTime? ActualEndTime { get; set; }
        public DateTime? ExpectedEndTime { get; set; }
        public bool SendSignalSuccess { get; set; } = false;
        public int SendSignalFailTimes { get; set; } = 0;
        public DateTime? LastSendSignalTime { get; set; }
        public int ErrorCode { get; set; } = 0;
        public bool StepCanRun { get; set; } = true;
        public bool AgvIsCanLeave { get; set; } = false;
        public bool RemoveBinding { get; set; } = false;
        public string StepMoveName { get; set; } = "";
        public string StepStartUrlName { get; set; } = "";
        public string StepEndUrlName { get; set; } = "";
        public bool IsNotice { get; set; } = false;
        public string reserved1 { get; set; } = "";
        public string reserved2 { get; set; } = "";
        public string reserved3 { get; set; } = "";
        public string reserved4 { get; set; } = "";
        public string reserved5 { get; set; } = "";
        public string reserved6 { get; set; } = "";
        public string reserved7 { get; set; } = "";
        //public bool reserved8 { get; set; } = false;
        //public bool reserved9 { get; set; } = false;
    }
}
