﻿using ProjectManagementSystem.Common.Config;
using ProjectManagementSystem.Common.Core;
using ProjectManagementSystem.Common.Models.Crms;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectManagementSystem.Common.TaskEvent
{
    public class ProcessRollerHxQuery : ICustomProcess
    {
        public void CustomProcess(List<TaskData> taskDataList)
        {
            var configList = ExcelConfig.Instance.RouteConfigList;
            for (int i = 0; i < configList.Count; i++)
            {
                var config = configList[i];
                if (config.RollerID > 0)
                {
                    DeviceControl.Instance.RollerHxQuery(config.RollerID);
                }
            }
        }
    }
}
