﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Xml.Serialization;

namespace ProjectManagementSystem.Common.Tibco.TibcoMsg
{
    [XmlRoot("MESSAGE")]
    public class RequestTransportJobReply
    {
        //[XmlElement("HEADER")]
        public Header HEADER { get; set; } = new Header();
        public RequestTransportJobRequestBody BODY { get; set; } = new RequestTransportJobRequestBody();
        public Return RETURN { get; set; } = new Return();

        public RequestTransportJobReply()
        {
            HEADER.MESSAGENAME = "RequestTransportJobReply";
            //HEADER.TRANSACTIONID = $"{DateTime.Now:yyyyMMddHHmmssffffff}";
            HEADER.REPLYSUBJECTNAME = string.Empty;

            BODY.FACTORYNAME = "MODULEB";
            BODY.EVENTUSER = "ICS";
            BODY.EVENTCOMMENT = string.Empty;
        }
    }
}
