﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Xml.Serialization;

namespace ProjectManagementSystem.Common.Tibco.TibcoMsg
{
    [XmlRoot("MESSAGE")]
    public class RequestTransportJobRequest
    {
        public Header HEADER { get; set; }
        public RequestTransportJobRequestBody BODY { get; set; }
    }

    public class RequestTransportJobRequestBody : Body
    {
        public string TRANSPORTJOBNAME { get; set; }
        public string CARRIERNAME { get; set; }

        public string SOURCEMACHINENAME { get; set; }
        public string SOURCEPOSITIONTYPE { get; set; }
        public string SOURCEPOSITIONNAME { get; set; }
        public string SOURCEZONENAME { get; set; }

        public string DESTINATIONMACHINENAME { get; set; }
        public string DESTINATIONPOSITIONTYPE { get; set; }
        public string DESTINATIONPOSITIONNAME { get; set; }
        public string DESTINATIONZONENAME { get; set; }

        public string PRIORITY { get; set; }
        public string EMPTYFLAG { get; set; }
        public string LOTNAME { get; set; }
        public string PRODUCTQUANTITY { get; set; }

        public string LANGUAGE { get; set; }
        public string PROCESSOPERATIONNAME { get; set; }
    }
}
