﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectManagementSystem.Device.CommandCallback
{
    public class BaseInfo
    {
        protected int TimeoutSecond = 5;
        public virtual string RemoteEndPoint { get; set; }
        public DateTime LastUpdateTime { get; set; }
        public bool DataValid
        {
            get { return (DateTime.Now - LastUpdateTime).TotalSeconds < TimeoutSecond; }
        }
    }
}
