﻿using ProjectManagementSystem.Device.Core;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectManagementSystem.Device.CommandCallback
{
    public class InfoAlarmLight : BaseInfo, IDeviceCommandCallback
    {
        public int DeviceId { get; set; }
        public int AlarmLightStatus { get; set; }
        public void Deserialize(byte[] data)
        {
            DeviceId = data[14];
            AlarmLightStatus = data[4];

            LastUpdateTime = DateTime.Now;
        }
    }
}
