﻿using ProjectManagementSystem.Common.Models.Crms;
using PropertyChanged;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectManagementSystemView.Infrastructure.Models
{
    [AddINotifyPropertyChangedInterface]
    public class VmStepData
    {
        public string ID { get; set; }
        public int StepID { get; set; }
        public int TemplateStepID { get; set; }
        public string TaskID { get; set; }
        public string NextStepID { get; set; }
        public bool IsLastStep { get; set; }
        public bool EndingFlag { get; set; }
        public ECarrierStepType CarrierStepType { get; set; }
        public ECarrierStepState CarrierStepState { get; set; }
        public ESystemStepState SystemStepState { get; set; }
        public EUserStepState UserStepState { get; set; }
        public string WareHouseID { get; set; }
        public int StationID { get; set; }
        public int VertexID { get; set; }
        public int MusicID { get; set; }
        public int AgvBehavior { get; set; }
        public int Param1 { get; set; }
        public int Param2 { get; set; }
        public int Param3 { get; set; }
        public int PmsBehavior { get; set; }
        public DateTime? CreateTime { get; set; }
        public DateTime? StartTime { get; set; }
        public DateTime? ActualEndTime { get; set; }
        public DateTime? ExpectedEndTime { get; set; }
        public bool SendSignalSuccess { get; set; }
        public int SendSignalFailTimes { get; set; }
        public DateTime? LastSendSignalTime { get; set; }
        public int ErrorCode { get; set; }
        public bool StepCanRun { get; set; }
        public bool AgvIsCanLeave { get; set; }
        public bool RemoveBinding { get; set; }
        public string StepMoveName { get; set; }
        public string StepStartUrlName { get; set; }
        public string StepEndUrlName { get; set; }
        public bool IsNotice { get; set; }
        public string reserved1 { get; set; }
        public string reserved2 { get; set; }
        public string reserved3 { get; set; }
        public string reserved4 { get; set; }
        public string reserved5 { get; set; }
        public string reserved6 { get; set; }
        public string reserved7 { get; set; }
    }
}
