﻿using ProjectManagementSystem.Common.Logger;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace ProjectManagementSystemView.Views
{
    /// <summary>
    /// LogView.xaml 的交互逻辑
    /// </summary>
    public partial class LogView : UserControl
    {
        public LogView()
        {
            InitializeComponent();

            CLog.Instance.OnLog += Instance_OnLog;
        }

        private void Instance_OnLog(int degree, string log)
        {
            this.Dispatcher.Invoke(() =>
            {
                if (textBox1.LineCount > 1000)
                {
                    textBox1.Clear();
                }

                if (degree <= (int)comboBox1.SelectedValue)
                {
                    textBox1.AppendText(log);
                    textBox1.AppendText(Environment.NewLine);
                }

                if (checkBox1.IsChecked == true)
                {
                    textBox1.ScrollToEnd();
                }
            });
        }
    }
}
