﻿using HelixToolkit.Wpf;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace ProjectManagementSystemView.Views
{
    /// <summary>
    /// Wms3DView.xaml 的交互逻辑
    /// </summary>
    public partial class Wms3DView : UserControl
    {
        public Wms3DView()
        {
            InitializeComponent();
        }
    }

    public class BoxLocationVisual3D : BoxVisual3D
    {
        public object LocationData
        {
            get { return (object)GetValue(LocationDataProperty); }
            set { SetValue(LocationDataProperty, value); }
        }

        // Using a DependencyProperty as the backing store for LocationData.  This enables animation, styling, binding, etc...
        public static readonly DependencyProperty LocationDataProperty =
            DependencyProperty.Register("LocationData", typeof(object), typeof(BoxLocationVisual3D), new PropertyMetadata(null));
    }
}
