﻿
using DbCommon.BusinessCore.DbCore;
using DbCommon.Enties.DbModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DbCommon.BusinessCore.BaseCore
{
    public class AgvMaterialBindingManager : DbContext<AgvMaterialBinding>
    {
        public void Init()
        {
            //If no exist create datebase 
            //Db.DbMaintenance.CreateDatabase();

            if (!Db.DbMaintenance.IsAnyTable("AgvMaterialBinding", false))
            {
                //Create tables
                Db.CodeFirst.InitTables(typeof(AgvMaterialBinding));
            }
        }

        public bool Save(AgvMaterialBinding data)
        {
            return Db.Saveable(data).ExecuteCommand() > 0;
        }
    }
}
