﻿using DbCommon.BusinessCore.DbCore;
using DbCommon.Enties.DbModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DbCommon.BusinessCore.BaseCore
{
    public class AsyncBehaviorManager : DbContext<AsyncBehaviorModel>
    {
        public void Init()
        {
            //If no exist create datebase 
            //Db.DbMaintenance.CreateDatabase();

            if (!Db.DbMaintenance.IsAnyTable("AsyncBehavior", false))
            {
                //Create tables
                Db.CodeFirst.InitTables(typeof(AsyncBehaviorModel));
            }
        }
    }
}
