﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DbCommon.Enties.DbModels
{
    [SugarTable("t_wh_warehouse")]
    public class WareHouse
    {
        [SugarColumn(IsPrimaryKey = true)]
        public string WareHouseCode { get; set; }
        public string WareHouseName { get; set; }

        [SugarColumn(IsNullable = true)]
        public string WareHouseProperty { get; set; }


        [SugarColumn(IsNullable = true)]
        public string TargetWareHouseCode { get; set; }

        [SugarColumn(IsNullable = true)]
        public string SourceWareHouseCode { get; set; }
    }
}
