﻿using System;
using System.Collections.Generic;

namespace ProjectManagementSystem.Common.Models.Crms
{
    public class ResultAgvData
    {
        public int AgvID { get; set; }
        public bool Online { get; set; }
        public int CarrierType { get; set; }
        public int Status { get; set; }
        public string OrderID { get; set; }
        public double MovementX { get; set; }
        public double MovementY { get; set; }
        //public double MovementAttitude { get; set; }
        public bool? TrafficBlocked { get; set; }
        public int BatteryLevel { get; set; }
        public int GraphVertex { get; set; }
        public int GraphEdge { get; set; }
        public double GraphOffset { get; set; }
        public List<string> MaterialIDList { get; set; }
        public List<Alarm> AlarmList { get; set; }
        public List<Alarm> AlarmDTOList { get; set; }
        public int[] LogicValues { get; set; }
        public ushort LogicBits { get; set; }
    }
}
