﻿using System;
using System.Collections.Generic;

namespace ProjectManagementSystem.Common.Models.Crms
{
    public class TaskData
    {
        public List<StepData> StepList { get; set; }


        public string ID { get; set; }
        public string TaskID { get; set; } = "";
        public string ParentTaskID { get; set; } = "";
        public string OrderID { get; set; } = "";
        public string Name { get; set; } = "";
        public ETaskState TaskState { get; set; } = ETaskState.None;
        public string TaskBook { get; set; } = "";
        public string AllWarehouse { get; set; } = "";
        public int CurrentStepID { get; set; } = 0;
        public bool IsException { get; set; } = false;
        public bool IsLastOrder { get; set; } = false;
        public string DepenciesTaskIDEnd { get; set; } = "";
        public string DepenciesTaskIDStart { get; set; } = "";
        public int Carrier { get; set; } = 0;
        public string CarrierType { get; set; } = "0";
        public int Token { get; set; } = 0;
        public bool HasCarrier { get; set; } = false;
        public bool IsCarrierLoading { get; set; } = false;
        public ETaskCarrierState CarrierState { get; set; } = ETaskCarrierState.None;
        public int Priority { get; set; } = 0;
        public bool Pausing { get; set; } = false;
        public bool CancelRequest { get; set; } = false;
        public bool CanCancel { get; set; } = false;
        public int SystemErrorCode { get; set; } = 0;
        public string SystemErrorMessage { get; set; } = "";
        public int UserErrorCode { get; set; } = 0;
        public string UserErrorMessage { get; set; } = "";
        public DateTime? CreateTime { get; set; }
        public DateTime? StartTime { get; set; }
        public DateTime? ActualEndTime { get; set; }
        public DateTime? ExpectedEndTime { get; set; }
        public DateTime? EarliestStartTime { get; set; }
        public DateTime? LatestCompletionTime { get; set; }
        public int BindingAGVNumber { get; set; } = 0;
        public string reserved1 { get; set; } = "";
        public string reserved2 { get; set; } = "";
        public string reserved3 { get; set; } = "";
        public string reserved4 { get; set; } = "";
        public string reserved5 { get; set; } = "";
        public string reserved6 { get; set; } = "";
        public string reserved7 { get; set; } = "";
        //public bool reserved8 { get; set; } = false;
        //public bool reserved9 { get; set; } = false;
    }
}
