﻿using ProjectManagementSystem.Device.Core;
using ProjectManagementSystem.Device.Extenions;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectManagementSystem.Device.Command
{
    public class CommandRollerHx : IDeviceCommand
    {
        private byte[] buffer = new byte[14] { 0x10, 0x51, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0, 0, 0, 0, 0, 0x03 };

        public byte TargetID { get; set; }
        public byte Function { get; set; } = 0x51;
        public byte ActionCode { get; set; }

        public byte[] Serialization()
        {
            buffer[1] = Function;

            buffer[7] = TargetID;
            buffer[11] = ActionCode;
            buffer[12] = buffer.XOR_Check(12);

            return buffer;
        }
    }
}
