﻿using ProjectManagementSystem.Common.Extenions;
using ProjectManagementSystem.Common.Function;
using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Data;

namespace ProjectManagementSystemView.Infrastructure.Converters
{
    public class TaskButtonVisibilityConverter : IValueConverter
    {
        private static string[] taskButtonArray;

        static TaskButtonVisibilityConverter()
        {
            taskButtonArray = AppSetting.TryGetValue<string>("TaskButton").ToValueArray<string>();
        }

        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            return taskButtonArray.Contains(value.ToString()) ? Visibility.Visible : Visibility.Collapsed;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            return null;
        }
    }
}
