﻿using PropertyChanged;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectManagementSystemView.Infrastructure.Models
{
    [AddINotifyPropertyChangedInterface]
    public class VmInfoIO
    {
        public int DeviceId { get; set; }
        public byte Output { get; set; }
        public byte Input { get; set; }

        public bool Y1 { get; set; }
        public bool Y2 { get; set; }
        public bool Y3 { get; set; }
        public bool Y4 { get; set; }
        public bool Y5 { get; set; }
        public bool Y6 { get; set; }
        public bool Y7 { get; set; }
        public bool Y8 { get; set; }

        public bool X1 { get; set; }
        public bool X2 { get; set; }
        public bool X3 { get; set; }
        public bool X4 { get; set; }
        public bool X5 { get; set; }
        public bool X6 { get; set; }
        public bool X7 { get; set; }
        public bool X8 { get; set; }

        public string RemoteEndPoint { get; set; }
        public DateTime LastUpdateTime { get; set; }
        public bool DataValid { get; set; }
    }
}
